$(function () {
        var domDottom = $(window).height() - $('.finish').offset().top - $(".finish").height() - 90
        // console.log(domDottom)
        $('#mescroll').css('height', domDottom + 'px')
    var qid = location.href.split('?')[1]



    var mescroll = new MeScroll("mescroll", { //第一个参数"mescroll"对应上面布局结构div的id (1.3.5版本支持传入dom对象)
        //如果您的下拉刷新是重置列表数据,那么down完全可以不用配置,具体用法参考第一个基础案例
        //解析: down.callback默认调用mescroll.resetUpScroll(),而resetUpScroll会将page.num=1,再触发up.callback
        down: {

            callback: downCallback, //下拉刷新的回调,别写成downCallback(),多了括号就自动执行方法了
        },
        up: {
            callback: upCallback, //上拉加载的回调
            // auto: false, //是否在初始化时以上拉加载的方式自动加载第一页数据; 默认true
            //以下是一些常用的配置,当然不写也可以的.
            page: {
                num: 0, //当前页 默认0,回调之前会加1; 即callback(page)会从1开始
                size: 5 //每页数据条数,默认10
            },
            htmlNodata: '<p class="upwarp-nodata"> 已经到底了</p>',
            noMoreSize: 5, //如果列表已无数据,可设置列表的总数量要大于5才显示无更多数据;
           
        }
    });
    //下拉刷新的回调
    function downCallback() {
        $.ajax({
            type: 'post',
            url: baseUrl + 'QA',
            dataType: 'json',
            data: {
                action: "QAL",
                openCode: users.user,
                Q: qid,
                limit: 5
            },
            success: function (res) {
                mescroll.endSuccess(); //无参. 注意结束下拉刷新是无参的
                console.log(res)
                $('.appname').text(res.data.title);
                $('.issue').text(res.data.question);
                $('#finishSUM').text(res.data.lave+'/'+res.data.quantity);
                var rankingHTML = template('ranking', {
                    list: res.data.img
                })
                $('.images').html(rankingHTML)
                // 审核结果
                if (res.data.fail_reason) {
                  $('#state').html(`<div class="center">
                                      <div class="title">
                                        <i class="iconfont iconwinfo-icon-gantanhao"></i>
                                        <span>审核失败</span>
                                      </div>
                                      <p>${res.data.fail_reason}</p>
                                    </div>`);
                  if (res.data.status==1) {
                    $('#state .center').addClass('succeed');
                  }else if (res.data.status==2){
                    $('#state .center').addClass('err');
                  }
                }
                preview('.images') 
            },
            error: function (data) {
                //联网失败的回调,隐藏下拉刷新的状态
                mescroll.endErr();
                pop('服务器出错，请联系客服人员')
            }
        })
    }

    //上拉加载的回调 page = {num:1, size:10}; num:当前页 默认从1开始, size:每页数据条数,默认10
    function upCallback(page) {
        var pageNum = page.num; // 页码, 默认从1开始 如何修改从0开始 ?
        // var pageSize = page.size; // 页长, 默认每页10条
        $.ajax({
            type: 'post',
            url: baseUrl + 'QA',
            dataType: 'json',
            data: {
                action: "QAL",
                openCode: users.user,
                Q: qid,
                page: pageNum,
                limit: 5
            },
            success: function (data) {
                var curPageData = data.data.user_list.data; // 接口返回的当前页数据列表
                var totalPage = data.data.user_list.page_count; // 接口返回的总页数 (比如列表有26个数据,每页10条,共3页; 则totalPage值为3)
                mescroll.endByPage(curPageData, totalPage);
                // 渲染用户
                var userdata = data.data.user_list.data
                userdata.forEach(el => {
                    el.answer_time = formatTime(el.answer_time, 'M/D h:m')
                });
                var vrayHTML = template('vray', {
                    list: userdata
                })
                $('#newsList').append(vrayHTML)
            },
            error: function (e) {
                //联网失败的回调,隐藏下拉刷新和上拉加载的状态
                mescroll.endErr();
            }
        });
    }



})