$(function () {
  var type = -1
  var width = parseFloat($('nav div').eq(1).width())
  $('nav div').click(function (e) {
    type = $(this).attr('data-type');
    var distance = $('nav div').index(this)
  console.log(width)
  $(".pagination").animate({
    translateX: width * distance + 'px'
  }, 300,
    'linear')
  $('nav div').animate({
    scaleX: 1,
    scaleY: 1,
    color:'#666'
  }, 300,
    'linear')
  $(this).animate({
    scaleX: 1.1,
    scaleY: 1.1,
    color:'#333'
  }, 300,
    'linear')
    mescroll.clearDataList();
    mescroll.triggerDownScroll();
  });


  var mescroll = new MeScroll("mescroll", { //第一个参数"mescroll"对应上面布局结构div的id (1.3.5版本支持传入dom对象)

    up: {
      callback: upCallback, //上拉加载的回调
      auto: true, //是否在初始化时以上拉加载的方式自动加载第一页数据; 默认true
      clearEmptyId: "dataList", //1.下拉刷新时会自动先清空此列表,再加入数据; 2.无任何数据时会在此列表自动提示空
      //以下是一些常用的配置,当然不写也可以的.
      page: {
        num: 0, //当前页 默认0,回调之前会加1; 即callback(page)会从1开始
        size: 20 //每页数据条数,默认10
      },
      htmlNodata: '<p class="upwarp-nodata">  已经到底了  </p>',
      noMoreSize: 5, //如果列表已无数据,可设置列表的总数量要大于5才显示无更多数据;

    }
  });

  //上拉加载的回调 page = {num:1, size:10}; num:当前页 默认从1开始, size:每页数据条数,默认10
  function upCallback (page) {
    var pageNum = page.num; // 页码, 默认从1开始 如何修改从0开始 ?
    // var pageSize = page.size; // 页长, 默认每页10条
    $.ajax({
      type: 'post',
      url: baseUrl + 'MQ',
      dataType: 'json',
      data: {
        action: "MQ",
        openCode: users.user,
        type: type,
        limit: 10,
        page: pageNum,
      },
      success: function (data) {
        if (data.code == 1) {
          var curPageData = data.data.data; // 接口返回的当前页数据列表
          var totalPage = data.data.page_count; // 接口返回的总页数 (比如列表有26个数据,每页10条,共3页; 则totalPage值为3)
          running_qid = data.data.running_qid
          //方法一(推荐): 后台接口有返回列表的总页数 totalPage
          //必传参数(当前页的数据个数, 总页数)
          mescroll.endByPage(curPageData, totalPage);
          if (data.data.data.length != 0) {
            $('#dataList').css('height', 'auto');
            var rankingHTML = template('ranking', {
              list: data.data.data
            })
            $('#dataList').append(rankingHTML)
          } else {
            $('#dataList').html('<div id="guess" ><img src="../images/unopen/bg_zanwuxinxi.png" alt=""><p>暂无任何信息</p></div>')
            $('#dataList').css('height', '100%');
          }
        }
      },
      error: function (e) {
        //联网失败的回调,隐藏下拉刷新和上拉加载的状态
        mescroll.endErr();
      }
    });
  }




})