// $(function () {
localStorage.removeItem("task");
var swiper1 = new Swiper('#swiper1', {
  speed: 500, //过渡时间
  effect: 'coverflow', //切换模式
  slidesPerView: 1.15, //可视区显示的个数，可以是小数
  loopedSlides: 3, //所要用到的loop个数,要大于可视区个数
  centeredSlides: true, //设定为true时，active slide会居中
  coverflowEffect: {
    rotate: 30, //slide做3d旋转时Y轴的旋转角度。默认50。
    stretch: 10, //每个slide之间的拉伸值，越大slide靠得越紧。 默认0。
    depth: 80, //slide的位置深度。值越大z轴距离越远，看起来越小。 默认100。
    modifier: 2,
    slideShadows: false //slide阴影
  },
  loop: true, // 循环模式选项 
  autoplay: true, //自动循环 
  // 如果需要分页器
  pagination: {
    el: '.swiper-pagination',
  }
})
// 导航
var swiper2 = new Swiper('#swiper2', {
  // spaceBetween: 10, //在slide之间设置距离（单位px）。
  slidesPerView: 6,//设置slider容器能够同时显示的slides数量
  watchSlidesProgress: true,
  watchSlidesVisibility: true,
  on: {

  }
})

// 进入任务详情ajax
function enterAjax (id) {
  $.ajax({
    type: 'post',
    url: baseUrl + 'GQ',
    dataType: 'json',
    data: {
      action: "QD",
      openCode: users.user,
      Q: id
    },
    success: function (data) {
      // console.log(data)
      if (data.code == 1) {
        var taskdata = {
          ...data.data,
          id: id
        }
        localStorage.setItem('task', JSON.stringify(taskdata))
        if (data.data.type == 6) {
          window.location.href = '../peges/task-authority-copy.html'
        } else if (data.data.type == -1) {
          window.location.href = '../peges/task-newbie.html'
        } else if (data.data.type == 7) {
          console.log(data.data.type)
        }
        else {
          window.location.href = '../peges/task-details.html'
        }
      } else {
        pop(data.msg)
      }
    }
  })
}
// 进行中任务ID
var running_qid = null


// 进入任务详情页前是否有进行中任务
function clickitem (id, url) {
  if (running_qid && id && id != running_qid) {
    $('.underway,.layer').css('display', 'block')
    $('.abandon').click(function (e) {
      enterAjax(id)
    });
    $('.continue').click(function (e) {
      enterAjax(running_qid)
    });
  } else {
    // 是否游戏任务
    if (!id) {
      AndroidJs.openTitle(url, '#ff7c08', '游戏赚钱', '#ffffff', true);
    } else {
      enterAjax(id)
    }
  }
};
// 获取账户余额
$.ajax({
  type: 'post',
  url: baseUrl + 'mylist',
  dataType: 'json',
  data: {
    action: "GE",
    openCode: users.user,
  },
  success: function (data) {
    // console.log(data)
    if (data.code == 1) {
      $('#all').html('¥' + data.data.balance)
    } else {
      pop(data.msg)
    }
  }
})
// 导航第一个默认放大
$('#swiper2 .swiper-slide').eq(0).animate({
  scaleX: 1.2,
  scaleY: 1.2,
  fontWeight: 700
}, 300,
  'ease-out')
// 点击导航
$('#swiper2 .swiper-wrapper').on('click', '.swiper-slide', function () {
  type = $(this).attr('data-type')
  // upCallback({ num: 1 })
  var distance = $('#swiper2 .swiper-slide').index(this)
  var width = parseFloat($('#swiper2 .swiper-slide')[0].style.width)
  // console.log(width*index)
  $(".pagination").animate({
    translateX: width * distance + 'px'
  }, 300,
    'ease-out')
  $('#swiper2 .swiper-slide').animate({
    scaleX: 1,
    scaleY: 1,
    fontWeight: 400
  }, 300,
    'ease-out')
  $(this).animate({
    scaleX: 1.2,
    scaleY: 1.2,
    fontWeight: 700
  }, 300,
    'ease-out')
  mescroll.clearDataList();
  mescroll.triggerDownScroll();
});
var type = -1

var mescroll = new MeScroll("mescroll", { //第一个参数"mescroll"对应上面布局结构div的id (1.3.5版本支持传入dom对象)

  up: {
    callback: upCallback, //上拉加载的回调
    auto: true, //是否在初始化时以上拉加载的方式自动加载第一页数据; 默认true
    clearEmptyId: "dataList", //1.下拉刷新时会自动先清空此列表,再加入数据; 2.无任何数据时会在此列表自动提示空
    //以下是一些常用的配置,当然不写也可以的.
    page: {
      num: 0, //当前页 默认0,回调之前会加1; 即callback(page)会从1开始
      size: 20 //每页数据条数,默认10
    },
    htmlNodata: '<p class="upwarp-nodata">  已经到底了  </p>',
    noMoreSize: 5, //如果列表已无数据,可设置列表的总数量要大于5才显示无更多数据;
    
  }
});

//上拉加载的回调 page = {num:1, size:10}; num:当前页 默认从1开始, size:每页数据条数,默认10
function upCallback (page) {
  var pageNum = page.num; // 页码, 默认从1开始 如何修改从0开始 ?
  // var pageSize = page.size; // 页长, 默认每页10条
  $.ajax({
    type: 'post',
    url: baseUrl + 'qlist',
    dataType: 'json',
    data: {
      action: "GQL",
      openCode: users.user,
      page: pageNum,
      limit: 18,
      type: type
    },
    success: function (data) {
      if (data.code == 1) {
        var curPageData = data.data.data; // 接口返回的当前页数据列表
        var totalPage = data.data.page_count; // 接口返回的总页数 (比如列表有26个数据,每页10条,共3页; 则totalPage值为3)
        running_qid = data.data.running_qid
        //方法一(推荐): 后台接口有返回列表的总页数 totalPage
        //必传参数(当前页的数据个数, 总页数)
        mescroll.endByPage(curPageData, totalPage);
        // 修改进度条数据
        let array = data.data.data
        array.forEach(el => {
          el.quantity = (el.lave / el.quantity * 100).toFixed(2) + '%'
        });
        // 通知
        if (data.data.notice) {
          $('.broadcast span').text(data.data.notice);
        } else {
          $('.broadcast').remove();
        }
        // console.log(array)
        // 数据是否是空的
        if (curPageData == false && type != 7) {
          $('#dataList').html('<div id="guess"><img src="../images/unopen/bg_zanwuxinxi.png" alt=""><p>暂无任何信息</p></div>')
        } else {
          var vrayHTML = template('vray', {
            list: array
          })
          $('#dataList').append(vrayHTML)
          if (running_qid) {
            $('li').eq(0).append('<div class="Ebox"><div class="box"></div> 进行中</div>')
          }
        }
      }
    },
    error: function (e) {
      //联网失败的回调,隐藏下拉刷新和上拉加载的状态
      mescroll.endErr();
    }
  });
}

// 新手指导
var guidance = JSON.parse(localStorage.getItem('guidance'));
if (guidance) {
  $("#guidance").css("display", "block");
  $("#guidance").click(function (e) {
    localStorage.removeItem("guidance");
    $(this).css("display", "none");
  });
}