// 获取任务类型ID
var typeID = location.href.split('?')[1]
var confine = 0
switch (typeID) {
  case '0':
    confine = 0.8
    break;
  case '1':
    confine = 0.5
    break;
  case '2':
    confine = 0.5
    break;
  case '3':
    confine = 0.3
    break;
  case '4':
    confine = 1
    break;
  case '5':
    confine = 1
    break;

  default:
    break;
}
// console.log(confine)
$('#confine').text('不低于' + confine + '元');
//input输入框只能输入数字和 小数点后两位
function inputnum (obj, val) {
  obj.value = obj.value.replace(/[^\d.]/g, ""); //清除"数字"和"."以外的字符
  obj.value = obj.value.replace(/^\./g, ""); //验证第一个字符是数字
  obj.value = obj.value.replace(/\.{2,}/g, ""); //只保留第一个, 清除多余的
  obj.value = obj.value.replace(".", "$#$").replace(/\./g, "").replace("$#$", ".");
  obj.value = obj.value.replace(/^(\-)*(\d+)\.(\d\d).*$/, '$1$2.$3'); //只能输入两个小数
  if (obj.value > 9999) {
    obj.value = 9999
  }
  if (obj.value < confine && obj.value != 0) {
    obj.value = confine
  }
}

function inputnumber (obj) {
  obj.value = obj.value.replace(/[^\d]/g, '');
  if (obj.value > 99999) {
    obj.value = 99999
  }
  if (obj.value.length > 1) {
    if (obj.value < 10 && obj.value != 0) {
      obj.value = 10
    }
  }
}


$(function () {
  // 数量输入框失去焦点事件
  $("#number").blur(function () {
    if ($("#number").val() < 10) {
      $("#number").val(0)
      total = 0
      $('.total span').text(total)
    }
  });
  // 自动聚焦
  $('.sumclick').click(function () {
    $('#sum').focus()
  });
  $('.numberclick').click(function () {
    $('#number').focus()
  });
  $('.link').click(function () {
    $('#link').focus()
  });

  var sum = $('#sum').val()
  var number = $('#number').val()
  var link = link = $('#link').val()
  var total = sum * number * 1.15
  total = total.toFixed(2);
  $('.total span').text(total)
  var issuedata = JSON.parse(localStorage.getItem("issue"));
  // console.log(sum)
  // console.log(number)
  // console.log(total)
  if (issuedata) {
    $('.have_set').show();
  } else {
    $('.have_set').hide();
  }
  // console.log(issuedata.options)
  $('#sum').bind('input propertychange', function () {
    sum = $('#sum').val();
    total = sum * number * 1.15
    total = total.toFixed(2);
    $('.total span').text(total)
    // console.log(sum)
    console.log(total)
  });
  $('#number').bind('input propertychange', function () {
    number = $('#number').val();
    total = sum * number * 1.15
    total = total.toFixed(2);
    $('.total span').text(total)
    console.log(number)
  });
  $('#link').bind('input propertychange', function () {
    link = $('#link').val();
    // console.log(link)
    if (link.length > 3) {
      if (link.indexOf('http') != 0) {
        $('#link').val('')
        pop('请在链接前面加入http://或https://', 3000)
      }
    }
  });

  // 选择支付方式
  $("#open").click(function () {
    console.log(parseInt(total))
    if (parseInt(total) && issuedata) {
      cover.style.display = "block"; //显示遮罩层
      modal.style.display = "block"; //显示弹出层

    } else if (!issuedata) {
      pop('请设置问题')
    } else if (!parseInt(total)) {
      pop('请输入任务金额和数量')
    }
  })
  // 支付宝支付
  $('.iconzhifubao2').click(function () {
    $.ajax({
      type: 'post',
      dataType: 'json',
      url: baseUrl + 'quest',
      data: {
        openCode: users.user,
        action: 'CQ',
        title: issuedata.title,
        question: issuedata.question,
        correct: issuedata.correct,
        img: issuedata.img.join(','),
        options: JSON.stringify(issuedata.options),
        link: link,
        amount: sum,
        quantity: number,
        total: total,
        type: typeID,
        submit_type: issuedata.submit_type,
        T: "A"
      },
      success: function (data) {
        if (data.code == 1) {
          AndroidJs.aliPay(data.data);
        } else {
          pop(data.msg)
        }

      }
    })
  })

  // 微信支付
  $('.iconweixin2').click(function (e) {
    pop('暂不支持微信支付')
  });

  $("#cover").click(function () {
    cover.style.display = "none"; //隐藏遮罩层
    modal.style.display = "none"; //隐藏弹出层
  })

})


function onPayFinish (result) {
  if (result) {
    pop("支付成功，等待后台审核通过即可发布成功");
    localStorage.removeItem("issue");
    location.href = '../index.html'
  } else {
    pop("支付失败或取消了支付");
  }
};