(function () {



  if (!users) {
    location.href = '../peges/login.html'
  }


  $.ajax({
    type: 'post',
    url: baseUrl + 'mylist',
    dataType: 'json',
    data: {
      action: "GE",
      openCode: users.user,
    },
    success: function (data) {
      // console.log(data)
      if (data.code == 1) {
        localStorage.setItem('share_link', JSON.stringify(data.data.share_link))
        $('.earnings .total_span2').html(data.data.from_student)
        $('.recruit .total_span2').html(data.data.student_number)
      } else if (data.code == -2) {
        localStorage.clear();
        location.href = '../peges/login.html'
      }

    },
    error: function (err) {
      pop('服务器出现故障请联系客服')
    }
  })
  // 跳转
  $('#footerzhuanqian').click(function () {
    window.location.replace("../index.html")
  })
  $('#footermy').click(function () {
    window.location.replace("../peges/my.html")
  })
  $('#footershoutu').click(function () {
    window.location.replace("../peges/Apprentice.html")
  })
  $('.fabu').click(function () {
    location.href = '../peges/issue.html'
  })
  $('#footerhongbao').click(function () {
    location.href = '../peges/redPacket.html'
  })

  // 排名
  $.ajax({
    type: 'post',
    url: baseUrl + 'rank',
    dataType: 'json',
    data: {
      action: "RB",
      openCode: users.user,
    },
    success: function (data) {
      let renderingData = sum(data.data)
      if (data.code == 1) {
        Rendering(renderingData)
        // 点击加载更多
        var flag = 1
        $('.more').click(function () {
          flag++
          if (flag % 2 == 0) {
            Rendering(data.data)
            $('.more div').html('点击收起<span class="iconfont iconshang1"></span>')
          } else {
            Rendering(renderingData)
            $('.more div').html('查看更多<span class="iconfont iconxiala1"></span>')
          }
        });

      } else if (data.code == -2) {
        localStorage.clear();
        location.href = '../peges/login.html'
      }
    },
    error: function (err) {
      pop('服务器出现故障请联系客服')
    }
  })
  function sum (params) {
    let arr = []
    for (let i = 0; i < params.length; i++) {
      const element = params[i];
      if (i < 10) {
        arr.push(element)
      }
    }
    return arr
  }

  function Rendering (arr) {
    // console.log(arr)
    var rankingHTML = template('ranking', {
      list: arr
    })
    $('.rankin').html(rankingHTML)
  };



  // 二维码
  //容器生成二维码
  var url = JSON.parse(localStorage.getItem('share_link'));
  $('.box').qrcode({
    render: "canvas",
    text: url
  });
  //把canvas容器转为img
  function convertCanvasToImage (canvas) {
    //新Image对象，可以理解为DOM
    var image = new Image();
    // canvas.toDataURL 返回的是一串Base64编码的URL
    // 指定格式 PNG
    image.src = canvas.toDataURL("image/png");
    return image;
  }
  var share = ''
  //获取页面上的canvas对象
  var MYcanvas = $('.box canvas')[0];
  //调用convertCanvasToImage()方法把canvas转为img格式
  var img = convertCanvasToImage(MYcanvas);
  //将img插入第二个容器中
  var bgimg = document.getElementById("bgimg_id");   //背景
  var eimg = document.getElementById("eimg_id");     //二维码
  var canvas = document.getElementById("canvas_id");  //画布
  let style = window.getComputedStyle(eimg, null)
  let qrtop = parseFloat(style.marginTop) * 3
  let qrleft = parseFloat(style.marginLeft) * 3
  let qrwidth = parseFloat(style.width) * 3
  //背景图片的宽和高
  var pubw = bgimg.width * 3;
  var pubh = bgimg.height * 3;
  // 画图方法
  function savePic () {

    //画布宽和高  设置成和图片一样大
    canvas.width = pubw;
    canvas.height = pubh;
    // console.log(pubw)
    // console.log(pubh)
    var ctx = canvas.getContext("2d");  //返回一个用于在画布上绘图的环境
    // bgimg.onload = function () {
    ctx.drawImage(bgimg, 0, 0, pubw, pubh);  //画底图
    ctx.drawImage(img, 0, 0, 256, 256, qrleft, qrtop, qrwidth, qrwidth); //画二维码
    var path = canvas.toDataURL("image/png", 0.8);  //获取base64编码
    // console.log(path)
    var newPath = path.split(",")[1];  //分割字符串
    $('.share_user').html('<img src="' + path + '"><div class="btn">长按保存或邀请朋友当面扫码</div><div class="iconfont iconguanbi3"></div>')
    $('.iconguanbi3').click(function (e) {
      $("#mask,.share_user").css("display", "none");
    });
    share = newPath
    // alert(path)
    $('.share_user').css({
      'margin-top': '0',
      "display": "none"
    })
    // }
  }
  // 点击弹出分享图片
  $('#share_user').on('click', function (e) {
    savePic()
    $(".share_user").css("display", "block");
    $("#mask").css("display", "block");
  })
  //点击关闭弹窗
  $('#mask').click(function (e) {
    e.preventDefault();
    $("#mask,.qr,#transpond,.share_user").css("display", "none");
  });

  // 点击弹出二维码分享
  var flag = true
  $('#qr').on('click', function (e) {
    e.preventDefault();
    if (flag) {
      flag = false
      $('.qr .centre').html('<img src="http://qr.liantu.com/api.php?text=' + url + '" alt="">');
    }
    $(".qr").css("display", "block");
    $("#mask").css("display", "block");

  })
  // 点击弹出转发
  $('.transpond').on('click', function (e) {
    savePic()
    $.ajax({
      type: 'post',
      dataType: 'json',
      data: {
        openCode: users.user,
      },
      url: baseUrl + 'UI',
      success: function (data) {
        if (data.code == 1) {
          token = data.data;
          function putb64 () {
            var pic = share;
            var url = "http://up-z0.qiniup.com/putb64/-1"; //非华东空间需要根据注意事项 1 修改上传域名
            var xhr = new XMLHttpRequest();
            xhr.onreadystatechange = function () {
              if (xhr.readyState == 4) {
                share = 'http://cdn.dakazhuanqian.com/' + xhr.responseText.split('"')[7]
                console.log(share)
                // 转发
                $('#transpond .left').click(function (e) {
                  // alert('转发1')
                  AndroidJs.shareImage(0,share)
                });
                $('#transpond .centre').click(function (e) {
                  AndroidJs.shareImage(1,share)
                });
                $('#transpond .right').click(function (e) {
                  pop('暂未开放')
                });
              }
            }
            xhr.open("POST", url, true);
            xhr.setRequestHeader("Content-Type", "application/octet-stream");
            xhr.setRequestHeader("Authorization", "UpToken " + token);
            xhr.send(pic);
          }
          putb64()
          $("#transpond").css("display", "block");
          $("#mask").css("display", "block");
        }
      }
    })
  })

  // 点击复制
  $('#baiduurl').click(function (e) {
    $('#awardQqQun1').val(url);
    var e = document.getElementById("awardQqQun1");//对象是content
    e.select(); //选择对象
    document.execCommand("Copy"); //执行浏览器复制命令
    pop('链接复制成功')
  });

  // 暂未开放
  // $('#footerhongbao').click(function () {
  //     $('.unopen,.layer').css('display', 'block');
  // })
  // $('.layer').click(function () {
  //     $('.unopen,.layer').css('display', 'none');
  // });
  // $('.btn').click(function () {
  //     $('.unopen,.layer').css('display', 'none');
  // });



})()