$(function () {

  // 待发奖励弹窗
  $('.await').click(function (e) { 
    e.preventDefault();
    $('#await').css('display', 'block');
  });
  // 关闭
  $('#await').click(function (e) { 
    e.preventDefault();
    $('#await').css('display', 'none');
  });

  $.ajax({
    type: 'get',
    url: baseUrl + 'activity',
    data: {
      openCode: users.user,
    },
    success: function (res) {
      if (res.code == 1) {
        let data = res.data  //响应数据
        var level = data.level  //收徒等级
        var student_number = data.student_number  //收徒人数
        var plan = 0  //完成进度
        console.log(data)
        $('.head_portrait img').attr('src', data.user.headshot);
        $('.usernema').text(data.user.nickname);
          $('#bonus').text(data.bonus);
          $('#freeze_bonus').text(data.freeze_bonus);
        var rankingHTML = template('temp', {
          list: data.level_list
        })
        $('.swiper-wrapper').html(rankingHTML)
        // 轮播插件 Swiper
        var mySwiper = new Swiper('.swiper-container', {
          parallax: true,  //设置为true开启视差效果。
          initialSlide: data.level - 1, //设定初始化时slide的索引。
          on: {
            slideChange: function () {
              // console.log(this.activeIndex);
              $('.plan .item').removeClass('change');
              $('.plan .item').eq(this.activeIndex).addClass('change');
            },
          },
        })
        $('.plan .item').click(function (e) {
          e.preventDefault();
          mySwiper.slideToLoop($('.plan .item').index(this), 500, false);//切换到第一个slide，速度为1秒
        });
        // 待发奖励弹窗日期
        $('#await span').text(data.end_date);
        // 收徒按钮,分享弹窗显示
        $('.btn').click(function (e) {
          e.preventDefault();
          $('.share_list').css('display', 'block');
        });
        countTime(data.active_time)
        // 调整第五张卡片布局
        $('.card .upgrade').eq(4).remove();
        $('.card').eq(4).addClass('card5')
        $('.card').eq(4).find('.dot').eq(1).remove()
        $('.money>div').eq(25).css('transform', 'scale(1.25)')
        .find('img').attr('src','../images/boon/icon_baoxiang.png')
        //  已收徒人数
        $('.totality span,#recruit').text(student_number);
        $('#date').text(data.start_date + '-' + data.end_date);
        // 满进度的卡片
        for (let i = 0; i < level - 1; i++) {
          $('.schedule').eq(i).width(100 + '%');
        }
        // 进行中的进度
        var underwayData = data.level_list[level - 1] //进行中的数据
        for (let i = 0; i < underwayData.data.length; i++) {
          const element = underwayData.data[i];
          if (student_number >= element.number) {
            plan++
          }
        }
        // console.log(underwayData.upgrade_number)
        if (level == 5) {
          $('.schedule').eq(level - 1).width(100 / 5 * (plan - 1) + '%');
        } else {
          $('.schedule').eq(level - 1).width(100 / 6 * plan + '%');
        }
        // 收徒等级
        switch (level) {
          case 2:
            $('#grade p').text('中级师傅');
            $('#grade img').attr('src', '../images/boon/icon_chuji copy 2.png')
            break;
          case 3:
            $('#grade p').text('高级师傅');
            $('#grade img').attr('src', '../images/boon/icon_chuji copy 3.png')
            break;
          case 4:
            $('#grade p').text('大神师傅');
            $('#grade img').attr('src', '../images/boon/icon_chuji copy 4.png')
            break;
          case 5:
            $('#grade p').text('王者师傅');
            $('#grade img').attr('src', '../images/boon/icon_chuji copy 5.png')
            break;

          default:
            break;
        }
      }
    }
  })
  // 倒计时
  function countTime (time) {
    //时间差
    var differTime = time - 1
    //定义变量,h,m,s保存倒计时的时间
    var h, m, s;
    var timer = setInterval(function () {
      if (differTime >= 0) {
        h = Math.floor(differTime / 60 / 60);
        m = Math.floor(differTime / 60 % 60);
        s = Math.floor(differTime % 60);
        h = h < 10 ? ("0" + h) : h;
        m = m < 10 ? ("0" + m) : m;
        s = s < 10 ? ("0" + s) : s;
        $("._h").text(h)
        $("._m").text(m)
        $("._s").text(s)
        differTime--
      } else {
        clearInterval(timer); //清除定时器
        $("._h").text("00");
        $("._m").text("00");
        $("._s").text("00");
      }
    }, 1000)
  }
})


// 分享弹窗
$('.box').click(function (e) {
  e.stopPropagation();    //  阻止事件冒泡
});
$('.share_list').click(function (e) {
  $('.share_list').css('display', 'none');
});
// 点击弹出分享图片
$('#image').on('click', function (e) {
  savePic()
  $(".share_user").css("display", "block");
  $("#mask").css("display", "block");
})
//点击关闭弹窗
$('#mask').click(function (e) {
  e.preventDefault();
  $("#mask,.qr,#transpond,.share_user").css("display", "none");
});
// 点击弹出二维码分享
var flag = true
$('#qr').on('click', function (e) {
  e.preventDefault();
  if (flag) {
    flag = false
    $('.qr .centre').html('<img src="http://qr.liantu.com/api.php?text=' + url + '" alt="">');
  }
  $(".qr").css("display", "block");
  $("#mask").css("display", "block");
})

// 二维码
//容器生成二维码
var url = JSON.parse(localStorage.getItem('share_link'));
$('.share_user .box').qrcode({
  render: "canvas",
  text: url
});
//把canvas容器转为img
function convertCanvasToImage (canvas) {
  //新Image对象，可以理解为DOM
  var image = new Image();
  // canvas.toDataURL 返回的是一串Base64编码的URL
  // 指定格式 PNG
  image.src = canvas.toDataURL("image/png");
  return image;
}
var share = ''
//获取页面上的canvas对象
var MYcanvas = $('.box canvas')[0];
//调用convertCanvasToImage()方法把canvas转为img格式
var img = convertCanvasToImage(MYcanvas);
//将img插入第二个容器中
var bgimg = document.getElementById("bgimg_id");   //背景
var eimg = document.getElementById("eimg_id");     //二维码
var canvas = document.getElementById("canvas_id");  //画布
let style = window.getComputedStyle(eimg, null)
let qrtop = parseFloat(style.marginTop) * 3
let qrleft = parseFloat(style.marginLeft) * 3
let qrwidth = parseFloat(style.width) * 3
//背景图片的宽和高
var pubw = bgimg.width * 3;
var pubh = bgimg.height * 3;
// 画图方法
function savePic () {

  //画布宽和高  设置成和图片一样大
  canvas.width = pubw;
  canvas.height = pubh;
  // console.log(pubw)
  // console.log(pubh)
  var ctx = canvas.getContext("2d");  //返回一个用于在画布上绘图的环境
  // bgimg.onload = function () {
  ctx.drawImage(bgimg, 0, 0, pubw, pubh);  //画底图
  ctx.drawImage(img, 0, 0, 256, 256, qrleft, qrtop, qrwidth, qrwidth); //画二维码
  var path = canvas.toDataURL("image/png", 0.8);  //获取base64编码
  // console.log(path)
  var newPath = path.split(",")[1];  //分割字符串
  $('.share_user').html('<img src="' + path + '"><div class="btn">长按保存或邀请朋友当面扫码</div><div class="iconfont iconguanbi3"></div>')
  $('.iconguanbi3').click(function (e) {
    $("#mask,.share_user").css("display", "none");
  });
  share = newPath
  // alert(path)
  $('.share_user').css({
    'margin-top': '0',
    "display": "none"
  })
  // }
}
// 点击复制
$('#url').click(function (e) {
  $('#awardQqQun1').val(url);
  var e = document.getElementById("awardQqQun1");//对象是content
  e.select(); //选择对象
  document.execCommand("Copy"); //执行浏览器复制命令
  pop('链接复制成功')
});
// 点击分享微信好友
$('#weixin').click(function (e) { 
  savePic()
  $.ajax({
    type: 'post',
    dataType: 'json',
    data: {
      openCode: users.user,
    },
    url: baseUrl + 'UI',
    success: function (data) {
      if (data.code == 1) {
        token = data.data;
        function putb64 () {
          var pic = share;
          var url = "http://up-z0.qiniup.com/putb64/-1"; //非华东空间需要根据注意事项 1 修改上传域名
          var xhr = new XMLHttpRequest();
          xhr.onreadystatechange = function () {
            if (xhr.readyState == 4) {
              share = 'http://cdn.dakazhuanqian.com/' + xhr.responseText.split('"')[7]
              AndroidJs.shareImage(0,share)
            }
          }
          xhr.open("POST", url, true);
          xhr.setRequestHeader("Content-Type", "application/octet-stream");
          xhr.setRequestHeader("Authorization", "UpToken " + token);
          xhr.send(pic);
        }
        putb64()
        $("#transpond").css("display", "block");
        $("#mask").css("display", "block");
      }
    }
  })
});
// 点击分享微信朋友圈
$('#pyq').click(function (e) { 
  savePic()
  $.ajax({
    type: 'post',
    dataType: 'json',
    data: {
      openCode: users.user,
    },
    url: baseUrl + 'UI',
    success: function (data) {
      if (data.code == 1) {
        token = data.data;
        function putb64 () {
          var pic = share;
          var url = "http://up-z0.qiniup.com/putb64/-1"; //非华东空间需要根据注意事项 1 修改上传域名
          var xhr = new XMLHttpRequest();
          xhr.onreadystatechange = function () {
            if (xhr.readyState == 4) {
              share = 'http://cdn.dakazhuanqian.com/' + xhr.responseText.split('"')[7]
              AndroidJs.shareImage(1,share)
            }
          }
          xhr.open("POST", url, true);
          xhr.setRequestHeader("Content-Type", "application/octet-stream");
          xhr.setRequestHeader("Authorization", "UpToken " + token);
          xhr.send(pic);
        }
        putb64()
        $("#transpond").css("display", "block");
        $("#mask").css("display", "block");
      }
    }
  })
});