
setFont();
window.onresize = function () {
  setFont();
}
// 加入一段 js 来动态的控制 根标签字体大小
function setFont () {
  // 基础值
  var baseVal = 100;
  // 设计稿的宽度 640px
  var pageWidth = 640;
  // 要适配的屏幕的宽度 = 当前的屏幕的宽度
  var screenWidth = document.querySelector("html").offsetWidth;
  // 计算要动态设置的字体大小
  var fs = baseVal * screenWidth / pageWidth;
  // 把字体设置到根标签中
  document.querySelector("html").style.fontSize = fs + "px";
}
var users = JSON.parse(localStorage.getItem('users'));
if (!users) {
  location.href = '../peges/login.html'
}

// 弹窗
function pop (text, time = 1500, fun) {
  $('.pop').remove()
  $('body').append('<div class="pop">' + text + '</div>')
  setTimeout(function () {
    $('.pop').remove()
    if (fun) {
      fun()
    }
  }, time)
}

/* 全局遮罩层 */
function loadding (on) {
  if (on) {
    $('#maskLayer').remove()
    $('body').append('<div id="maskLayer"><i class="iconfont iconjiazaizhong1"></i></div>')
  } else {
    $('#maskLayer').remove()
  }
}
//  时间戳转换
function formatTime (number, format) {

  var formateArr = ['Y', 'M', 'D', 'h', 'm', 's'];
  var returnArr = [];

  var date = new Date(number * 1000);
  returnArr.push(date.getFullYear());
  returnArr.push(formatNumber(date.getMonth() + 1));
  returnArr.push(formatNumber(date.getDate()));

  returnArr.push(formatNumber(date.getHours()));
  returnArr.push(formatNumber(date.getMinutes()));
  returnArr.push(formatNumber(date.getSeconds()));

  for (var i in returnArr) {
    format = format.replace(formateArr[i], returnArr[i]);
  }
  return format;
}
//数据转化  
function formatNumber (n) {
  n = n.toString()
  return n[1] ? n : '0' + n
}
// var sjc = 1488481383;//时间戳
// console.log(formatTime(sjc,'Y/M/D h:m:s'));//转换为日期：2017/03/03 03:03:03
// console.log(formatTime(sjc, 'h:m'));//转换为日期：03:03

// var baseUrl = 'https://dakazhuanqian.com/back/'
// var baseUrl = 'http://192.168.0.103:8180/api/v2.0/'
// var baseUrl = 'http://192.168.0.111:8180/api/v2.0/'
// var baseUrl = 'http://test.dakazhuanqian.com/api/v2.0/'
var baseUrl = 'https://dakazhuanqian.com/api/v2.0/'

// 不拦截的接口
var interceptUrl = ['/qlist', '/QA', '/income-info', '/record-info', '/news','/MQ']
$.ajaxSettings.beforeSend = function (xhr, obj) {
  // obj.url = baseUrl + obj.url
  // console.log(obj)
  //   // xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded')
  //   // 在拦截器中对私有路径的访问设置请求头，传递token值
  //   // 通过原生异步对象的方式来实现
  //   // if(obj.url.indexOf('/my/') != -1){
  //   //     xhr.setRequestHeader('Authorization',sessionStorage.getItem('token'))
  //   // }
  var flag = true
  for (let i = 0; i < interceptUrl.length; i++) {
    const el = interceptUrl[i];
    if (obj.url.indexOf(el) != -1) {
      flag = false
    }
  }
  if (flag) {
    loadding(1)
  }
}
//   请求返回失败之后会自动触发的回调函数
$.ajaxSettings.error = function (xhr, errorType, error) {
  // console.log(xhr)
  pop('服务器出现故障,请联系客服', 2500)
}
//   请求完成之后会自动触发的回调函数
$.ajaxSettings.complete = function (xhr, obj) {
  loadding(0)
  // $('body').removeClass('loadding')
  let data = JSON.parse(xhr.response)
  if (data.code == -2) {
    localStorage.clear();
    // localStorage.removeItem("users");
    pop(data.msg + '，请重新登录', 2500, function () {
      location.href = '../peges/login.html'
    })
  }
  // console.log(obj)
}
