
 
$(function () {
  var mescroll = new MeScroll("mescroll", { //第一个参数"mescroll"对应上面布局结构div的id (1.3.5版本支持传入dom对象)
    up: {
      callback: upCallback, //上拉加载的回调
      auto: true, //是否在初始化时以上拉加载的方式自动加载第一页数据; 默认true
      clearEmptyId: "dataList", //1.下拉刷新时会自动先清空此列表,再加入数据; 2.无任何数据时会在此列表自动提示空
      //以下是一些常用的配置,当然不写也可以的.
      page: {
        num: 0, //当前页 默认0,回调之前会加1; 即callback(page)会从1开始
        size: 20 //每页数据条数,默认10
      },
      htmlNodata: '<p class="upwarp-nodata">已经到底了</p>',
      noMoreSize: 5, //如果列表已无数据,可设置列表的总数量要大于5才显示无更多数据;
      empty: {
        //列表第一页无任何数据时,显示的空提示布局; 需配置warpId才显示
        warpId: '<div id="guess"><img src="../../images/unopen/bg_zanwuxinxi.png" alt=""><p>暂无任何信息</p></div>', //父布局的id (1.3.5版本支持传入dom元素)
        // icon: "http://pub.idqqimg.com/wpa/images/group.png", //图标,默认null,支持网络图
        tip: "暂无相关数据~" //提示
      },
    }
  });

  //上拉加载的回调 page = {num:1, size:10}; num:当前页 默认从1开始, size:每页数据条数,默认10
  function upCallback(page) {
    var pageNum = page.num; // 页码, 默认从1开始 如何修改从0开始 ?
    // var pageSize = page.size; // 页长, 默认每页10条
    $.ajax({
      type: 'post',
      url: baseUrl + 'record-info',
      dataType: 'json',
      data: {
        openCode: users.user,
        type: 1,
        page:pageNum,
        limit:10
      },
      success: function (res) {
        var curPageData = res.data.data; // 接口返回的当前页数据列表
        var totalPage = res.data.page_count; // 接口返回的总页数 (比如列表有26个数据,每页10条,共3页; 则totalPage值为3)

        //方法一(推荐): 后台接口有返回列表的总页数 totalPage
        //必传参数(当前页的数据个数, 总页数)
        mescroll.endByPage(curPageData, totalPage);

        if (res.code == 1) {
          if (res.data.data.length != 0) {
            var rankingHTML = template('ranking', {
              list: res.data.data
            })
            $('#dataList').append(rankingHTML)
          } else {
            $('body').css('background-color', '#fff');
            $('.mia').html('<div id="guess"><img src="../../images/unopen/bg_zanwuxinxi.png" alt=""><p>暂无任何信息</p></div>')

          }
        }
      },
      error: function (e) {
        //联网失败的回调,隐藏下拉刷新和上拉加载的状态
        mescroll.endErr();
      }
    });
  }


})