$(function () {
  $.ajax({
    type: 'get',
    url: baseUrl + 'recommend-task',
    data: {
      openCode: users.user,
    },
    success: function (res) {
      if (res.code == 1) {

        // 完成进度
        $('#number').text(res.data.done_task + '/' + res.data.total_task);
        $('#sum').html(res.data.bonus + '<span>元</span>');
        for (let i = 0; i < res.data.list.length; i++) {
          const element = res.data.list[i];
          // console.log('1')
          $('#task').append(`<div class="item" onClick="clickTask('${element.ad_link}')">
          <img src="${element.qlogo}" alt="">
          <p>¥ ${element.amount}元</p>
                            <div class="doTask">做任务</div>
                            </div>`);
        }
        $('#btn').click(function (e) {
          // 如果任务没有完成
          if (res.data.done_task < res.data.total_task) {
            $('.remind,.mask').css('display', 'block')
          } else {
            var day = location.href.split('?')[1]
            repairAjax(day)
          }
        });

      }
    }
  })
  // 打开客服弹窗
  $('.iconicon_kefu').click(function (e) {
    $('#error').css('display', 'block')
    $('.mask').css('display', 'block')
  });
  // 点击复制
  $('#qdbtn').click(function (e) {
    var e = document.getElementById("awardQqQun1");//对象是content
    e.select(); //选择对象
    document.execCommand("Copy"); //执行浏览器复制命令
    $('.mask,#error').css('display', 'none')
    pop('微信号复制成功')
  });
  $('#remindBtn').click(function (e) {
    $('.mask,.remind').css('display', 'none')
  });
  // 签到 ajax
  function repairAjax (params) {
    $.ajax({
      type: 'post',
      url: baseUrl + 'user/check-in',
      // dataType: 'json',
      data: {
        openCode: users.user,
        day: params,
      },
      success: function (res) {
        if (res.code == 1) {
          // succ()
          $('#signIn p').html(res.data.bonus+'<span>元</span>');
          $('#signIn').css('display', 'block');
        } else {
          pop(res.msg)
        }
      }
    })
  }
  // 关闭签到弹窗
  $('#signIn').click(function (e) { 
    location.reload()
    $(this).css('display', 'none');
  });

$('.mask').click(function (e) { 
  $('.mask,#error,.remind').css('display','none');
});
})

function clickTask (params) {
  AndroidJs.openTitle(params, '#ff7c08', '游戏赚钱', '#ffffff', true);
}