$(function () {
  var title = ''
  var question = ''
  var correct = ''
  var type = 1
  var options = {
    A: '',
    B: '',
    C: '',
    D: ''
  }
  var imgurl = []
  // 设置默认参数
  var issuedata = JSON.parse(localStorage.getItem("issue"));
  if (issuedata) {
    $('.title input').val(issuedata.title)
    title = issuedata.title
    $('.content textarea').val(issuedata.question);
    question = issuedata.question
    
    // 设置图片
    for (let i = 0; i < issuedata.img.length; i++) {
      const element = issuedata.img[i];
      $(".img").append('<div class="imgItem"> <img src="' + element + '"><div class="iconfont iconguanbi3"></div> </div>');
    }
    // 图片预览
    $('.imgItem img').click(function () {
      preview('.img')
    })

    $('.img .iconguanbi3').click(function () {
      let img = $('.img').children()
      if (img.length > 3) {
        for (let i = 0; i < img.length; i++) {
          if (i > 2) {
            img[i].remove()
          }
        }
      }
      $(this).parent().remove()
      number = $('.imgItem img').length
    })
    
    if (issuedata.submit_type==1) {
      $('#A').val(issuedata.options.A);
      options.A = issuedata.options.A
      $('#B').val(issuedata.options.B);
      options.B = issuedata.options.B
      $('#C').val(issuedata.options.C);
      options.C = issuedata.options.C
      $('#D').val(issuedata.options.D);
      options.D = issuedata.options.D
      correct = issuedata.correct
      switch (issuedata.correct) {
        case 'A':
          $("#paixu1").prop("checked", true)
          break;
        case 'B':
          $("#paixu2").prop("checked", true)
          break;
        case 'C':
          $("#paixu3").prop("checked", true)
          break;
        case 'D':
          $("#paixu4").prop("checked", true)
          break;
      }
      
    } else {
      $('#answer').val(issuedata.correct);
      $('#select p').removeClass('change');
      $('#select p').eq(1).addClass('change');
      $('#delete').hide();
      $('#answer').show();
    }
  }
  

  $('.title input').bind('input propertychange', function () {
    title = $('.title input').val();
    console.log(title)

  });
  // 问题内容
  $('.content textarea').bind('input propertychange', function () {
    question = $('.content textarea').val();
    $('.top .sum').text(question.length + '/200');
  });

  $('.top .sum').text($('.content textarea').val().length + '/200');
  // console.log(title)
  $('#A').bind('input propertychange', function () {
    options.A = $('#A').val();
  });
  $('#B').bind('input propertychange', function () {
    options.B = $('#B').val();
  });
  $('#C').bind('input propertychange', function () {
    options.C = $('#C').val();
  });
  $('#D').bind('input propertychange', function () {
    options.D = $('#D').val();
  });
  $('.radio div').click(function () {
    correct = $(this).text().trim()
    console.log(correct)
  })
  // 提交

  $('.btn').click(function () {
    let imgitem = $('.uploading img')
    let answer = $('#answer').val()
    // console.log(imgitem[0].src)
    for (let i = 0; i < imgitem.length; i++) {
      if (i < 3) {
        imgurl.push(imgitem[i].src)
      }
    }
    console.log(answer)
    if (title == '') {
      pop('请输入标题')
    } else if (question == '') {
      pop('请输入问题')
    } else if (answer == '' && (options.B == '' || options.C == '' || options.D == '' || options.A == '')) {
      pop('请完善答案')
    } else if (correct == '' && answer == '') {
      pop('请选择正确答案')
    } else {
      var issue = {
        title: title,
        question: question,
        options: options,
        correct: correct,
        img: imgurl,
        submit_type:1
      }

      if (type==2) {
        issue = {
          title: title,
          question: question,
          correct: answer,
          img: imgurl,
          submit_type:3
        }
      }
      localStorage.setItem("issue", JSON.stringify(issue));
      history.go(-1)
    }

  });

  // 选择答题类型
  $('#select p').click(function (e) {
    $('html').scrollTop(0);
    $('#select p').removeClass('change');
    $(this).addClass('change');
    if ($('#select p').index(this) == 1) {
      $('#delete').hide();
      $('#answer').show();
      type = 2
    } else {
      $('#delete').show();
      $('#answer').hide();
      type = 1
    }
  });


  // 图片上传

  var number = $('.imgItem img').length
  // function getTokenMessage() {
  var token1 = null;
  $.ajax({
    type: 'post',
    dataType: 'json',
    data: {
      openCode: users.user,
    },
    url: baseUrl + 'UI',
    success: function (data) {
      if (data.code == 1) {
        token1 = data.data;
        // console.log(token1)
        Qiniu.uploader({

          disable_statistics_report: false, // 禁止自动发送上传统计信息到七牛，默认允许发送
          runtimes: 'html5,flash,html4', // 上传模式，依次退化
          browse_button: 'uploadFile', // 上传选择文件的点选按钮，必需
          container: 'container', // 上传区域DOM ID，默认是browser_button的父元素
          max_file_size: '5mb', // 最大文件体积限制
          flash_swf_url: '../dist/qiniu/plupload.full.min.js', // 引入flash，相对路径
          dragdrop: false, // 关闭可拖曳上传
          chunk_size: '4mb', // 分块上传时，每块的体积
          uptoken: token1, // 在初始化时，uptoken，uptoken_url，uptoken_func三个参数中必须有一个被设置,uptoken是上传凭证，由其他程序生成;uptoken_url是提供了获取上传凭证的地址，如果需要定制获取uptoken的过程则可以设置uptoken_func;其优先级为uptoken > uptoken_url > uptoken_func
          domain: 'http://cdn.dakazhuanqian.com/', // bucket域名，下载资源时用到，必需
          get_new_uptoken: true, // 设置上传文件的时候是否每次都重新获取新的uptoken
          auto_start: true, // 选择文件后自动上传，若关闭需要自己绑定事件触发上传
          max_retries: 3, // 上传失败最大重试次数
          save_key: false, //为false则以上传文件的原名命名，否则随机命名，这里推荐false
          init: {
            'FilesAdded': function (up, files) { // 文件添加进队列后，处理相关的事情     这里留下bug一个    
              plupload.each(files, function (file) {
                var name = file.name
                var ts = (new Date()).valueOf();
                var num = Math.random();
                file.name = ts + num
                // console.log(up);
                console.log(file);
                $(".img").append('<div class="imgItem"> <div class="bar"><div></div></div><div class="iconfont iconguanbi3"></div></div>');
                $('.img .iconguanbi3').click(function () {
                  let img = $('.img').children()
                  if (img.length > 3) {
                    for (let i = 0; i < img.length; i++) {
                      if (i > 2) {
                        img[i].remove()
                      }
                    }
                  }
                  $(this).parent().remove()
                  number = $('.imgItem img').length
                  console.log(number)
                  // console.log($('.imgItem img'))

                })
              });
            },
            'BeforeUpload': function (up, file) { // 每个文件上传前，处理相关的事情
              console.log("开始上传之前");
            },
            'UploadProgress': function (up, file) { // 每个文件上传时，处理相关的事情
              console.log($(".bar div"));
              console.log(file.percent);
              $(".bar div").eq(number).css("width", file.percent + '%');
              // $('input').val(file.percent);
            },
            'FileUploaded': function (up, file, info) { // 每个文件上传成功后，处理相关的事情
              var domain = up.getOption('domain');
              var res = $.parseJSON(info);
              var sourceLink = domain + res.key + '?imageMogr2/format/jpg';
              console.log(sourceLink)
              $(".imgItem").eq(number).append('<img src="' + sourceLink + '">');

              number += 1
            },
            'Error': function (up, err, errTip) {
              console.log("上传出错")
            },
            'UploadComplete': function () { //队列完成上传后
              // 图片预览
              $('.imgItem img').click(function () {
                preview('.img')

              })
            }
          }
        });
      }
    }
  })





})