$(function () {
  var task = JSON.parse(localStorage.getItem('task'));

  $.ajax({
    type: 'post',
    url: baseUrl + 'GQ',
    dataType: 'json',
    data: {
      action: "QD",
      openCode: users.user,
      Q: task.id
    },
    success: function (data) {
      if (data.code == 1) {
        var data = data.data
        console.log(data)
        $('.sum').text('+' + data.amount + '元');
        $('.name').text(data.title);
        $('.taskname p').text(`剩余数量${data.lave}份`);
        $('.taskname img').attr('src', data.qlogo);
        for (let i = 0; i < data.question.length; i++) {
          const element = data.question[i];
          $('.introduce').append(`<div class="item">
                                    <div class="dot"></div>
                                    <p>${element}</p>
                                  </div>`);
        }
        var vrayHTML = template('vray', {
          list: data.claim
        })
        $('#step').append(vrayHTML)

        // preview('#figure')
        // 提交
        if (data.submit_type == 2) {    /* 上传截图 */
          var submitHTML = template('submit', {
            list: [1]
          })
          $('.uploading').append(submitHTML)
          if (data.upload_content.image == false) {
            $('#imgbox').remove();
          }
          // 渲染input
          $('#inputbox p').text(data.upload_content.input.title);
          if (data.upload_content.input.input_list) {
            data.upload_content.input.input_list.forEach(element => {
              $('#inputbox').append(`<input type="text" class="" placeholder="${element}">`);
            });
          }
          // 渲染图片
          for (let i = 0; i < data.upload_content.image.length; i++) {
            const element = data.upload_content.image[i];
            $('#imgbox').append(`<div class="center">
                                  <div class="example" id="example${i}">
                                    <img src="${element}" alt="">
                                    <div>示例图片</div>
                                  </div>
                                  <div class="UPbtn">
                                  <button class="" type="button" id="uploadFile${i}">
                                    <div>+</div>
                                    <p>点击上传</p>
                                    </button>
                                  </div>
                                </div>`);
            qiniu(i)
            preview(`#example${i}`)
          }
          preview(`#step`)
          $('.UPbtn').click(function (e) {
            console.log($(this))

          });

        }
        // 是否已经接受了任务
        if (data.running_qid) {
          GRE = true
          // 倒计时
          Countdown(data.expire_time)
          // 提交任务事件
          $('#btn').click(function (e) {
            var imgsrc = $('.UPbtn img')
            var inputval = $('#inputbox input')
            var src = []
            var content = []
            for (let i = 0; i < imgsrc.length; i++) {
              const el = imgsrc[i];
              src += el.src + ','
            }
            for (let i = 0; i < inputval.length; i++) {
              const el = inputval[i];
              // console.log($(el).val())
              content += $(el).val() + ','
            }
            console.log(content)
            $.ajax({
              type: 'post',
              dataType: 'json',
              data: {
                openCode: users.user,
                qid: task.id,
                content: content,
                img: src,
                type: 6
              },
              url: baseUrl + 'FQ',
              success: function (data) {
                if (data.code == 1) {
                  pop(data.msg, 2500, function () {
                    history.go(-1)
                  })
                } else if (data.code == -1) {
                  $('#getTask .tit').html('<i class="iconfont icongantanhao"></i>提示');
                  $('#getTask p').text('请先填写完整审核信息再提交哦～');
                  $('.mask').css('display', 'block');
                  $('.mask,#getTaskBTN').on('click', function (e) {
                    $('.mask').css('display', 'none');
                    $('body').scrollTop($('body')[0].scrollHeight);
                  });
                } else {
                  pop(data.msg)
                }
              }
            });
          });
        } else {
          // 点击接受任务
          $('#btn').click(function (e) {
            $.ajax({
              type: 'post',
              dataType: 'json',
              data: {
                openCode: users.user,
                Q: task.id,
              },
              url: baseUrl + 'SQ',
              success: function (data) {
                if (data.code == 1) {
                  $('#getTask .tit').html('<i class="iconfont iconxuanzhong"></i>领取任务成功');
                  $('#getTask p').text('请按照任务步骤完成任务～');
                  $('.mask').css('display', 'block');
                  $('.mask,#getTaskBTN').click(function (e) {
                    // $('.mask').css('display', 'none');
                    location.reload()
                  });
                }
              }
            })
          });

        }
      } else {
        pop(data.msg)
      }
    }
  })
  // 七牛
  function qiniu (params) {
    $.ajax({
      type: 'post',
      dataType: 'json',
      data: {
        openCode: users.user,
      },
      url: baseUrl + 'UI',
      success: function (data) {
        token1 = data.data;

        // console.log(token1)
        Qiniu.uploader({

          disable_statistics_report: false, // 禁止自动发送上传统计信息到七牛，默认允许发送
          runtimes: 'html5,flash,html4', // 上传模式，依次退化
          browse_button: `uploadFile${params}`, // 上传选择文件的点选按钮，必需
          container: 'imgbox', // 上传区域DOM ID，默认是browser_button的父元素
          max_file_size: '5mb', // 最大文件体积限制
          flash_swf_url: '../dist/qiniu/plupload.full.min.js', // 引入flash，相对路径
          multi_selection: false,  // 禁用多选 
          dragdrop: false, // 关闭可拖曳上传
          chunk_size: '4mb', // 分块上传时，每块的体积
          uptoken: token1, // 在初始化时，uptoken，uptoken_url，uptoken_func三个参数中必须有一个被设置,uptoken是上传凭证，由其他程序生成;uptoken_url是提供了获取上传凭证的地址，如果需要定制获取uptoken的过程则可以设置uptoken_func;其优先级为uptoken > uptoken_url > uptoken_func
          domain: 'http://cdn.dakazhuanqian.com/', // bucket域名，下载资源时用到，必需
          get_new_uptoken: true, // 设置上传文件的时候是否每次都重新获取新的uptoken
          auto_start: true, // 选择文件后自动上传，若关闭需要自己绑定事件触发上传
          max_retries: 3, // 上传失败最大重试次数
          save_key: true, //为false则以上传文件的原名命名，否则随机命名，这里推荐false
          // mimeType: ["image/png", "image/jpeg", "image/gif"],
          init: {
            'FilesAdded': function (up, files) { // 文件添加进队列后，处理相关的事情
              plupload.each(files, function (file) {
                var ts = (new Date()).valueOf();
                var num = Math.random();
                file.name = ts + num
              });
            },
            'BeforeUpload': function (up, file) { // 每个文件上传前，处理相关的事情
              console.log("开始上传之前");
            },
            'UploadProgress': function (up, file) { // 每个文件上传时，处理相关的事情

              console.log(file.percent);
            },
            'FileUploaded': function (up, file, info) { // 每个文件上传成功后，处理相关的事情
              var domain = up.getOption('domain');
              var res = $.parseJSON(info);
              var sourceLink = domain + res.key + '?imageMogr2/format/jpg';
              // console.log(sourceLink);
              // console.log($(`uploadFile${params}`));
              $(`#uploadFile${params}`).append(`<img src="${sourceLink}"> <div id="off" class="iconfont iconguanbi3"></div>`);
              $(`#uploadFile${params}`).click(function () {
                $(this).children('img').remove();
                $(this).children('div#off').remove();
              })

            },
            'Error': function (up, err, errTip) {
              console.log("上传出错")
            },
            'UploadComplete': function () { //队列处理完成后

            }
          }
        });
      },
      error: function (err) {
        pop('服务器出现故障请联系客服')
      }
    })
  }

  // 七牛结束


  // 倒计时
  function Countdown (params) {
    var time = params
    var minute = parseInt(time / 60);
    var second = parseInt(time % 60);
    $('#btn').html('提交信息 剩余时间 ' + minute + ':' + second);
    var timer = setInterval(function () {
      if (time > 0) {
        time -= 1;
        minute = parseInt(time / 60);
        second = parseInt(time % 60);
        $('#btn').html('提交信息 剩余时间 ' + minute + ':' + second);
      } else {
        clearInterval(timer); //清除定时器
      }
    }, 1000);
  }


})
// 点击复制
function bindCopy (e) {
  dom = document.createElement('textarea');
  // Prevent zooming on iOS
  dom.style.fontSize = '12pt';
  // Reset box model
  dom.style.border = '0';
  dom.style.padding = '0';
  dom.style.margin = '0';
  // Move element out of screen horizontally
  dom.style.position = 'absolute';
  dom.style['left'] = '-9999px';
  // Move element to the same position vertically
  var yPosition = window.pageYOffset || document.documentElement.scrollTop;
  dom.style.top = yPosition + 'px';

  dom.setAttribute('readonly', '');
  dom.value = e;

  document.body.appendChild(dom);

  dom.select();
  dom.setSelectionRange(0, dom.value.length);
  document.execCommand('copy');
  document.removeEventListener('click', bindCopy);
  pop('复制成功')
}


// 是否接受了任务
var GRE = false
// 没接受任务点击下载
function Installapp (PR) {
  if (GRE) {
    window.android.InstallAPP(PR);
  } else {
    $('#getTask .tit').html('<i class="iconfont icongantanhao"></i>提示');
    $('#getTask p').text('请先点击下方领取任务哦～');
    $('.mask').css('display', 'block');
    $('.mask,#ckgBtn').on('click', function (e) {
      $('.mask').css('display', 'none');
    });
  }
}
// 有没接受任务的情况下点击打开链接
function openLink (PR) {
  if (GRE) {
    AndroidJs.openInBrowser(PR)
  } else {
    $('#getTask .tit').html('<i class="iconfont icongantanhao"></i>提示');
    $('#getTask p').text('请先点击下方领取任务哦～');
    $('.mask').css('display', 'block');
    $('.mask,#ckgBtn').on('click', function (e) {
      $('.mask').css('display', 'none');
    });
  }
}