$(function () {
    var task = JSON.parse(localStorage.getItem('task'));
    // 倒计时
    function Countdown(params) {
        var time = params
        var minute = parseInt(time / 60);
        var second = parseInt(time % 60);
        $('.time_remaining').html('剩余时间 ' + minute + ':' + second);
        var timer = setInterval(function () {
            if (time > 0) {
                time -= 1;
                minute = parseInt(time / 60);
                second = parseInt(time % 60);
                $('.time_remaining').html('剩余时间 ' + minute + ':' + second);
            } else {
                clearInterval(timer); //清除定时器
            }
        }, 1000);
    }

    $('.iconfanhui').on('click', function () {
        history.go(-1)
    })
    $('.gobtn').click(function () {
        $(".Masked,.return").css("display", "none");
    })
    $('.upbtn').click(function () {

        $.ajax({
            type: 'post',
            url: baseUrl + 'DQ',
            dataType: 'json',
            data: {
                action: "UQ",
                openCode: users.user,
                T: 6,
                qid: task.id
            },
            success: function (data) {
                console.log(data)
                if (data.code==1) {
                    history.go(-1)
                } else {
                    pop(data.msg)
                }
            }
        })
    })

    // 获取页面数据
    var imgsrc = []
    $('.return .title').text(task.title);
    $('.appname').text(task.title);
    $('.add').text('+' + task.amount);
    $('#content').prepend('<p><per>' + task.question + '</per></p>')
    $('#content2').prepend('<p><per>' + task.claim + '</per></p>')
    $('.return .text').html('*该任务奖励+' + task.amount + '元')
    $('.icon img').attr('src',task.qlogo);
    $('.return .iconweixin img').attr('src',task.qlogo);
    // 如果已经接受了任务
    if (task.is_accept == 1) {
        $('#button').remove()
        $('.content').append('<div class="button" id="submit">提交任务</div>')
        $('#submit').click(function (e) {
            location.href = '../peges/works.html'
        });
        $('.iconfanhui').off('click')
        $('.iconfanhui').click(function () {
            $(".Masked,.return").css("display", "block");
        })
        // 重新获取倒计时秒数
        $.ajax({
            type: 'post',
            url: baseUrl + 'GQ',
            dataType: 'json',
            data: {
                action: "QD",
                openCode: users.user,
                Q: task.id
            },
            success: function (data) {
                if (data.code == 1) {
                    Countdown(data.data.expire_time)
                } else {
                    pop(data.msg)
                }
            }
        })
    }
    for (let i = 0; i < task.img.length; i++) {
        const element = task.img[i];
        if (element.is_claim == 0) {
            $('#describeImg').append(' <img src="' + element.img_url + '" alt="">');
            preview('#describeImg')
        } else {
            $('#describeImg2').append(' <img src="' + element.img_url + '" alt="">');
            preview('#describeImg2')

        }
    }
    // 图片预览
    // 接受任务
    $('#button').click(function () {
        var taskData = {
            ...task,
            is_accept: 1
        }
        localStorage.setItem('task', JSON.stringify(taskData))
        $.ajax({
            type: 'post',
            url: baseUrl + 'SQ',
            dataType: 'json',
            data: {
                action: "AQ",
                openCode: users.user,
                T: 6,
                Q: task.id
            },
            success: function (data) {
                if (data.code == 1) {
                    pop(data.msg)
                    $('#button').remove()
                    $('.content').append('<div class="button" id="submit">提交任务</div>')
                    // 提交任务
                    $('#submit').click(function (e) {
                        location.href = '../peges/works.html'
                    });
                    // 放弃任务
                    $('.iconfanhui').off('click')
                    $('.iconfanhui').click(function () {
                        $(".Masked,.return").css("display", "block");
                    })
                    // 重新获取倒计时秒数
                    $.ajax({
                        type: 'post',
                        url: baseUrl + 'GQ',
                        dataType: 'json',
                        data: {
                            action: "QD",
                            openCode: users.user,
                            Q: task.id
                        },
                        success: function (data) {
                            if (data.code == 1) {
                                Countdown(data.data.expire_time)
                            } else {
                                pop(data.msg)
                            }
                        }
                    })
                } else {
                    pop(data.msg)
                }

            }
        })

    });


})


// 沙箱外


window.onload = function () {
    // element.scrollHeight---文章内容的实际高度   element.clientHeight---文章内容的显示高度
    // element.scrollWidth---文章内容的实际宽度   element.clientWidth ---文章内容的显示宽度
    var element = document.getElementById("content")
    // console.log(element.scrollHeight)
    // console.log(element.clientHeight)
    if (element.scrollHeight > element.clientHeight) {
        document.getElementById("expand").style = "display:block"
        document.getElementById("content").style = 'height: .84rem;'
    } else {
        document.getElementById("expand").style = "display:none"
    }
    var element = document.getElementById("content2")
    if (element.scrollHeight > element.clientHeight) {
        // debugger
        document.getElementById("expand2").style = "display:block"
        document.getElementById("content2").style = 'height: .84rem;'
    } else {
        document.getElementById("expand2").style = "display:none"
    }


}
// 展开
function more() {
    document.getElementById("content").style = 'height:auto;'
    document.getElementById("expand").style = "display:none"
    document.getElementById("pack").style = "display:block"
}

function pack() {
    document.getElementById("content").style = 'height: .84rem;'
    document.getElementById("expand").style = "display:block"
    document.getElementById("pack").style = "display:none"
}



// 展开
function more2() {
    document.getElementById("content2").style = 'height:auto;'
    document.getElementById("expand2").style = "display:none"
    document.getElementById("pack2").style = "display:block"
}

function pack2() {
    document.getElementById("content2").style = 'height: .84rem;'
    document.getElementById("expand2").style = "display:block"
    document.getElementById("pack2").style = "display:none"
}